Class | Tk::Tcllib::IP_Entry
In: | tk/lib/tkextlib/tcllib/ip_entry.rb
Parent: | TkEntry

### Methods

complete? insert package_name package_version

### Constants

PACKAGE_NAME | = | 'ipentry'.freeze
TkCommandNames | = | ['::ipentry::ipentry'.freeze].freeze
WidgetClassName | = | 'IPEntry'.freeze

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/tcllib/ip_entry.rb, line 23
          def self.package_name
            PACKAGE_NAME
          end

package_version()

[Source]

    # File tk/lib/tkextlib/tcllib/ip_entry.rb, line 27
          def self.package_version
            begin
              TkPackage.require('ipentry')
            rescue
              ''
            end
          end

### Public Instance methods

complete?()

[Source]

    # File tk/lib/tkextlib/tcllib/ip_entry.rb, line 59
      def complete?
        bool(tk_send_without_enc('complete'))
      end

insert(*ip)

[Source]

    # File tk/lib/tkextlib/tcllib/ip_entry.rb, line 63
      def insert(*ip)
        tk_send_without_enc('insert', array2tk_list(ip.flatten))
      end

[Validate]